std::tr1::shared_count(3)

NAME
std::tr1::shared_count -

SYNOPSIS

Detailed Description

Definition at line 234 of file boost_shared_ptr.h.

  Public Member Functions
void * get_deleter (const std::type_info &__ti) const
shared_count & operator= (const shared_count &__r)
shared_count (const shared_count &__r)
shared_count (const weak_count &__r)
template<typename _Tp> shared_count (std::auto_ptr< _Tp > &__r)
template<typename _Ptr, typename _Deleter> shared_count (_Ptr __p, _Deleter __d)
shared_count ()
void swap (shared_count &__r)
bool unique () const
long use_count () const
~shared_count ()

  Friends
bool operator< (const shared_count &__a, const shared_count &__b)
bool operator== (const shared_count &__a, const shared_count &__b)
class weak_count

Author

Generated automatically by Doxygen for libstdc++ from the source code.